# OE: conditional switches
#
#(ie. use with rpm --rebuild):
#
#	--with diet	Compile isoqlog against dietlibc
#
# 

%define build_diet 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_diet: %{expand: %%define build_diet 1}}

%define name	isoqlog
%define version	2.1
%define release	1mdk

Summary:	Isoqlog is an MTA log analysis program written in C.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-small_fixes.patch.bz2
Patch1:		%{name}-%{version}-errno.patch.bz2
License:	BSD
Group:		Monitoring
URL:		http://www.enderunix.org/isoqlog/
BuildRoot:	%{_tmppath}/%{name}-buildroot

%if %{build_diet}
BuildRequires: /usr/bin/diet
BuildRequires: dietlibc-devel >= 0.20-1mdk
%endif

%description
Isoqlog is an MTA log analysis program written in C. It is
designed to scan qmail, postfix, sendmail logfiles and
produce usage statistics in HTML format. for viewing through a
browser. It produces Top domains output according to Incoming,
Outgoing, total  mails and  bytes, it keeps your main domain
mail statistics with Days Top Domain, Top Users values for per
day, per month, and years.

    
Features:
--------
    
* Multi MTA support(qmail (multilog and syslog), postfix,
  sendmail)
* Multi-domain support: Shows quite detailed statistics for not
  only your main domain, but also, any domain you want.
* Displays statistics for common mail delivery errors.
* For each domain you specify; displays Top incoming, outgoing,
  total and byte based statistics for users.
* Displays server's activity based on incoming, outgoing, total
  mails and size of incoming mail, for domain  and its users.
* All days', all months', all years' activities ( above ones )
  are stored for future inspection.
* Multi-language Support (Turkish, English, German, Portuguese,
  Spanish, Italian, French, Swedish, Dutch, Polish, Norwegian)


%prep

%setup -q
%patch0 -p1
%patch1 -p1

# CVS cleanup
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

./configure \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir}/%{name} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}

%if %{build_diet}
    # OE: use the power of dietlibc
    make CC="diet gcc" CFLAGS="%{optflags} -s -static -nostdinc -D_BSD_SOURCE -D_GNU_SOURCE"
%else
    %make CFLAGS="%{optflags}"
%endif


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make DESTDIR="%{buildroot}" install

install -d %{buildroot}/var/www/html/%{name}/{images,library}
install -m644 htmltemp/images/*.gif %{buildroot}/var/www/html/%{name}/images/
install -m644 htmltemp/library/*.css %{buildroot}/var/www/html/%{name}/library/

# fix this
rm -rf %{buildroot}%{_datadir}/doc

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{name}.* tr AUTHORS COPYING ChangeLog EnderUNIX INSTALL README* TODO
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_bindir}/%{name}
%dir /var/www/html/%{name}
/var/www/html/%{name}/images/*.gif
/var/www/html/%{name}/library/*.css
%{_datadir}/%{name}

%changelog
* Tue Jan 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1-1mdk
- 2.1
- rediff P0
- drop P1, it's included upstream
- added P1 (new one ;))
- enable optional build against dietlibc (--with diet)
- misc spec file fixes

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-3mdk
- rebuilt with gcc-3.2

* Mon Jul 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-2mdk
- Postfix fix (P1)
- put images an css in-place
- really increment the release number

* Tue Jul 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-1mdk
- initial cooker contrib

